#define TASTER_1 2
#define TASTER_2 3
#define LED_ROT 4
#define LED_GELB 5
#define LED_GRUEN 6

byte WECHSEL_NACH_ROT=0;
byte WECHSEL_NACH_GRUEN=0;
float time=0.25; // Zeit in Sekunden
int prescale=64;
float t_value=65535-(16*pow(10,10)*time/prescale);

void setup() {
  // put your setup code here, to run once:
  pinMode(LED_BUILTIN,OUTPUT);
  pinMode(LED_ROT,OUTPUT);
  pinMode(LED_GELB,OUTPUT);
  pinMode(LED_GRUEN,OUTPUT);
  pinMode(TASTER_1,INPUT);
  pinMode(TASTER_2,INPUT);
  digitalWrite(LED_BUILTIN,LOW);
  digitalWrite(LED_ROT,LOW);
  digitalWrite(LED_GELB,LOW);
  digitalWrite(LED_GRUEN,HIGH);
  noInterrupts();
  TCCR1A = 0;
  TCCR1B = 0;
  TCNT1 = t_value;
  switch(prescale){
    case    1: TCCR1B |= (1 << CS10); break; 
    case    8: TCCR1B |= (1 << CS11); break;
    case   64: TCCR1B |= (1 << CS10)|(1 << CS11); break;
    case  256: TCCR1B |= (1 << CS12); break;
    case 1024: TCCR1B |= (1 << CS10)|(1 << CS12); break;
    default: TCCR1B |= (1 << 0); break; // no timer
  }
  TIMSK1 |= (1 << TOIE1);
  interrupts();
  attachInterrupt(digitalPinToInterrupt(TASTER_1),buttonPressed1,RISING); 
  attachInterrupt(digitalPinToInterrupt(TASTER_2),buttonPressed2,RISING);

  }

void loop() {
  // put your main code here, to run repeatedly:
  if(WECHSEL_NACH_ROT==1){
    WECHSEL_NACH_ROT=0;
    digitalWrite(LED_GRUEN,LOW);
    digitalWrite(LED_GELB,HIGH);
    delay(2500);
    digitalWrite(LED_GELB,LOW);
    digitalWrite(LED_ROT,HIGH);
  }
  // fuer einen schönen Lichtwechsel
  delay(2500);
  
  if(WECHSEL_NACH_GRUEN==1){
    WECHSEL_NACH_GRUEN=0;
    digitalWrite(LED_GELB,HIGH);
    delay(2500);
    digitalWrite(LED_GRUEN,HIGH);
    digitalWrite(LED_ROT,LOW);
    digitalWrite(LED_GELB,LOW);
  }

}

void buttonPressed1(){
  WECHSEL_NACH_ROT=1;
}

void buttonPressed2(){
  WECHSEL_NACH_GRUEN=1;
}

ISR(TIMER1_OVF_vect){
  digitalWrite(LED_GELB,digitalRead(LED_GELB)^1);
}